Bug 221108 - (openarena) Review Request: openarena - first person shooter
Review Request: openarena - first person shooter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-01 17:46 EST by Michał Bentkowski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 16:54:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michał Bentkowski 2007-01-01 17:46:29 EST
Spec URL: http://ecik.nonlogic.org/openarena/openarena.spec
SRPM URL: http://ecik.nonlogic.org/openarena/openarena-0.6.0-1.src.rpm
Description:
OpenArena is an open-source content package for Quake III Arena licensed under
the GPL, effectively creating a free stand-alone game.
Comment 1 Christopher Stone 2007-01-03 16:11:36 EST
==== REVIEW CHECKLIST ====
- rpmlint output:
W: openarena-data no-documentation

permissible although I usually suggest atleast placing the license file in the
sub-package.

- package named according to package naming guidelines
- spec filename matches %{name}
- package meets packaging guidelines
- licensed with open source compatible license
- license field matches actual license
- license file included in %doc
- spec file written in American english
- spec file legible

although I would suggest a little extra whitespace in a couple places to make
parsing the spec file easier.

- sources match upstream
0c2c27456a11331d61448278a1e9aaad  /home/chris/oa060.tar.gz
- package successfully compiles and builds on FC6 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries stored in ldconfig default path
- package is not relocatable
- package owns all directories it creates
- directories it does not create owned by default packages
- no duplicates listed in %files
- file permissions set properly
- package contains proper %clean section
- macro usage consistent
- package contains code
- no large documentation files
- files in %doc do not affect runtime
- no header files or static libraries
- no pkgconfig files
- no library files with suffix
- no need for devel subpackage
- no .la files
- package contains proper .desktop file
- package does not own files or directories owned by other packages


*** APPROVED ***


==== SHOULD FIX ====
- add %doc doc/COPYING to data subpackage
- remove LINUXNOTES from %doc
Comment 2 Michał Bentkowski 2007-01-12 16:54:11 EST
After fixing some ppc problems, I finally managed to build that.
Closing.

Note You need to log in before you can comment on or make changes to this bug.